Page MenuHomePhabricator

On a blank user page use mw-ui-icon and mw-ui-icon-large
Closed, ResolvedPublic

Description

  • Introduce mw-ui-icon-large modifier to mediawiki ui icons in core which sizes an image at 42px rather than the default 24px. Update background-size, height and width properties.
  • When viewing a blank user page the icon as in the screen shot is generated using mediawiki-ui-icon

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : masterUse mw-ui-icon-large and ResourceLoaderImage module for user page
mediawiki/extensions/MobileFrontend : masterUser page should use mw-ui-icon-large
mediawiki/skins/MinervaNeue : masterPrepare for adoption of mw-ui-icon-large on user page
mediawiki/core : masterMediawikiUI: Introduce mw-ui-icon-large

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2016, 9:43 PM

@Nirzar, would you please add a "As an x I want y so that z" to this?

@Nirzar please prioritize in relation to other design debt.

@Jdlrobson - could you clarify the description/value statement?

@dr0ptp4kt @jhobs @ovasileva Let me update the description with proper formatting. this came out a conversation and is mostly a combination tech AND ux debt :)

In Triaged but Future, but no priority. Got one?

Nirzar triaged this task as Lowest priority.Aug 25 2016, 8:56 PM
Jdlrobson raised the priority of this task from Lowest to Low.May 21 2017, 12:24 PM

Change 372402 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] User page should use mw-ui-icon-large

https://gerrit.wikimedia.org/r/372402

Change 372403 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/core@master] MediawikiUI: Introduce mw-ui-icon-large

https://gerrit.wikimedia.org/r/372403

Change 372403 merged by jenkins-bot:
[mediawiki/core@master] MediawikiUI: Introduce mw-ui-icon-large

https://gerrit.wikimedia.org/r/372403

Change 373361 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Prepare for adoption of mw-ui-icon-large on user page

https://gerrit.wikimedia.org/r/373361

Change 373362 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] Use mw-ui-icon-large and ResourceLoaderImage module for user page

https://gerrit.wikimedia.org/r/373362

Change 373361 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Prepare for adoption of mw-ui-icon-large on user page

https://gerrit.wikimedia.org/r/373361

Change 372402 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] User page should use mw-ui-icon-large

https://gerrit.wikimedia.org/r/372402

Change 373362 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Use mw-ui-icon-large and ResourceLoaderImage module for user page

https://gerrit.wikimedia.org/r/373362

Jdlrobson closed this task as Resolved.Aug 23 2017, 9:31 PM
Jdlrobson claimed this task.

@Nirzar heads up that mw-ui-icon-large is now available for usage in our codebase and in use on https://en.m.wikipedia.beta.wmflabs.org/wiki/User:Mr_Selenium